Loading...
Searching...
No Matches
volk_32f_8u_polarbutterfly_32f.h File Reference
`#include <math.h>`
`#include <volk/volk_8u_x2_encodeframepolar_8u.h>`
`#include <immintrin.h>`
`#include <volk/volk_avx_intrinsics.h>`

Go to the source code of this file.

## Functions

static float | llr_odd (const float la, const float lb)
static void | llr_odd_stages (float *llrs, int min_stage, const int depth, const int frame_size, const int row)
static float | llr_even (const float la, const float lb, const unsigned char f)
static void | even_u_values (unsigned char *u_even, const unsigned char *u, const int u_num)
static void | odd_xor_even_values (unsigned char *u_xor, const unsigned char *u, const int u_num)
static int | calculate_max_stage_depth_for_row (const int frame_exp, const int row)
static void | volk_32f_8u_polarbutterfly_32f_generic (float *llrs, unsigned char *u, const int frame_exp, const int stage, const int u_num, const int row)
static void | volk_32f_8u_polarbutterfly_32f_u_avx (float *llrs, unsigned char *u, const int frame_exp, const int stage, const int u_num, const int row)

## Function Documentation

## calculate_max_stage_depth_for_row()

int calculate_max_stage_depth_for_row | ( | const int | frame_exp,
|  | const int | row )

inline static

## even_u_values()

void even_u_values | ( | unsigned char * | u_even,
|  | const unsigned char * | u,
|  | const int | u_num )

inline static

## llr_even()

float llr_even | ( | const float | la,
|  | const float | lb,
|  | const unsigned char | f )

inline static

## llr_odd()

float llr_odd | ( | const float | la,
|  | const float | lb )

inline static

## llr_odd_stages()

void llr_odd_stages | ( | float * | llrs,
|  | int | min_stage,
|  | const int | depth,
|  | const int | frame_size,
|  | const int | row )

inline static

## odd_xor_even_values()

void odd_xor_even_values | ( | unsigned char * | u_xor,
|  | const unsigned char * | u,
|  | const int | u_num )

inline static

## volk_32f_8u_polarbutterfly_32f_generic()

void volk_32f_8u_polarbutterfly_32f_generic | ( | float * | llrs,
|  | unsigned char * | u,
|  | const int | frame_exp,
|  | const int | stage,
|  | const int | u_num,
|  | const int | row )

inline static

## volk_32f_8u_polarbutterfly_32f_u_avx()

void volk_32f_8u_polarbutterfly_32f_u_avx | ( | float * | llrs,
|  | unsigned char * | u,
|  | const int | frame_exp,
|  | const int | stage,
|  | const int | u_num,
|  | const int | row )

inline static